package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.FremsgVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NctpfrStoreVo extends BaseTransactionVo {
    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;;
    private FremsgVo fremsg;
    private SwiaddVo swiadd;
    private String clmtxts20= NULLSTR;
    private Boolean extpay = false;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
        if(fremsg == null){
            fremsg = new FremsgVo();
        }
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
    }
}
